Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
Socket Type Constants

## Variables
const | Qore::SOCK_DGRAM = SOCK_DGRAM
| for datagrams (connectionless, unreliable messages of a fixed (typically small) maximum length
const | Qore::SOCK_RAW = SOCK_RAW
| raw socket interface, only available to the superuser, untested
const | Qore::SOCK_STREAM = SOCK_STREAM
| for sequenced, reliable, two-way connection-based byte streams (the default)

## Detailed Description

These are the possible socket type constants